Class l2buffer
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.l2buffer

public class l2buffer
extends ej
store a list into a buffer~
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
l2buffer(com.cycling74.max.Atom[] args) create a l2buffer object

Method Summary
void | dblclick() Post some information about the object to the Max window when you dble clik on the object.
void | inlet(int i) When coming form the right inlet, set the channel index.
void | list(float[] args) Store the list to the buffer.
void | set(String s) The message set followed by a symbol specify the name of the buffer~.
void | set(String s, int i) Set the buffer~ and the channel at once.

Methods inherited from class ej.ej
anything, bang, findVersion, inlet, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
l2buffer
public l2buffer(com.cycling74.max.Atom[] args)

  create a l2buffer object
  Parameters:
    args - 1st argument is the name of the buffer~ 2nd argument is the channel index (starting at 1)

Method Detail
dblclick
public void dblclick()

  Post some information about the object to the Max window when you dble clik on the object.
  Overrides:
    dblclick in class ej

list
public void list(float[] args)

  Store the list to the buffer.
  Overrides:
    list in class com.cycling74.max.MaxObject
  Parameters:
    args - the list

inlet
public void inlet(int i)

  When coming form the right inlet, set the channel index.
  Overrides:
    inlet in class ej
  Parameters:
    i - channel index (starting at 1)

set
public void set(String s)

  The message set followed by a symbol specify the name of the buffer~.
  Parameters:
    s - name of the buffer~

set
public void set(String s,
int i)

  Set the buffer~ and the channel at once.
  Parameters:
    s - name of the buffer~
    i - channel index (starting at 1)

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com